## nagircbot 0.0.33

=== Makefile ===
# (C) 2006-2011 by folkert@vanheusden.com GPLv2 applies

VERSION=0.0.33

DEBUG= -g  -D_DEBUG #-fprofile-arcs -ftest-coverage # -pg -g
CXXFLAGS+=-Wall -O2 -DVERSION=\"${VERSION}\" $(DEBUG)
CFLAGS+=${CXXFLAGS}
LDFLAGS+=$(DEBUG) -lcrypto -lssl -lstdc++

OBJS= ssl.o error.o log.o utils.o br.o pl.o anna.o

all: nagircbot

nagircbot: $(OBJS)
	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o nagircbot

install: nagircbot
	cp nagircbot /usr/local/bin

clean:
	rm -f $(OBJS) nagircbot core *.da *.gcov *.bb*

package: clean
	mkdir nagircbot-$(VERSION)
	cp *.c* *.h Makefile thanks.txt readme.txt license.* nagircbot-$(VERSION)
	tar czf nagircbot-$(VERSION).tgz nagircbot-$(VERSION)
	rm -rf nagircbot-$(VERSION)

=== debian/changelog ===
nagircbot (0.0.33-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes necessary).
  * Really disable the debug build option this time.
  * Avoid hard coded PID file path in init script.
  * Use official/non-DEP URL for machine-readable debian/copyright.

 -- John Morrissey <jwm@horde.net>  Thu, 21 Jun 2012 11:26:51 -0400

nagircbot (0.0.33-1) unstable; urgency=low

  * New upstream version.
  * Disable upstream's debug build option (20fix-non-debug-build), avoiding
    excessive CPU consumption in its memory allocation tracking code.

 -- John Morrissey <jwm@horde.net>  Wed, 25 May 2011 13:29:31 -0400

nagircbot (0.0.32-1) unstable; urgency=low

  * Initial release. (Closes: #546481)

 -- John Morrissey <jwm@horde.net>  Mon, 13 Dec 2010 09:03:32 -0500

=== debian/control ===
Source: nagircbot
Section: net
Priority: extra
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: John Morrissey <jwm@horde.net>
Build-Depends: debhelper (>= 7), libssl-dev
Standards-Version: 3.9.3
Homepage: http://www.vanheusden.com/nagircbot/

Package: nagircbot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IRC bot that announces Nagios status
 An IRC (Internet Relay Chat) bot that reads Nagios' status information and
 emits alerts to an IRC channel. It can filter alerts based on severity
 (CRITICAL, HARD, SOFT, and/or UNKNOWN) or by regular expression. It can
 connect to IRC servers protected by password or SSL, and can optionally set
 the topic to the current Nagios status.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	prefix=/usr dh $@

=== debian/watch ===
version=3
http://www.vanheusden.com/nagircbot/ nagircbot-(.*)\.tgz
